---
title: "Create placement cookie value targeting"
type: reference
method: POST
path: /rest-api/placement/{placementId}/targeting/cookie-value/create.do
tag: "Targeting Rules"
---

# Create placement cookie value targeting

`POST https://YOUR-NETWORK-DOMAIN/rest-api/placement/{placementId}/targeting/cookie-value/create.do`

Creates a cookie value targeting rule for the specified placement. The rule matches when the viewer's browser has a cookie with the given name and value. Targeting is automatically enabled if it was previously disabled. Requires UPDATE permission on the placement and MANAGE_SUPPLY_PRE_TARGETING user permission.

## Path params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `placementId` | integer | yes | `4001` | Unique numeric ID of the placement |

## Form params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `rule` | string | yes | `INCLUDE` | Targeting rule type — INCLUDE for whitelist or EXCLUDE for blacklist |
| `cookieName` | string | yes | `user_segment` | Name of the browser cookie to match against |
| `cookieValue` | string | yes | `premium` | Expected value of the browser cookie |

## Responses

- `200` — Success
- `400` — Invalid targeting value
- `401` — Unauthorized
- `403` — Forbidden
- `404` — Placement not found
- `500` — Internal server error

## Example request

```bash
curl --request POST \
  --url 'https://YOUR-NETWORK-DOMAIN/rest-api/placement/4001/targeting/cookie-value/create.do' \
  --header 'X-Api-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data-urlencode 'rule=INCLUDE' \
  --data-urlencode 'cookieName=user_segment' \
  --data-urlencode 'cookieValue=premium'
```

Source: https://epom.com/ad-server/docs/api/targeting-rules/post-placement-targeting-cookie-value-create